Module java.desktop
Package javax.swing.plaf.synth

# Class SynthSeparatorUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SeparatorUI
javax.swing.plaf.synth.SynthSeparatorUI

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `SynthConstants`, `SynthUI`

public class SynthSeparatorUI extends SeparatorUI implements PropertyChangeListener, SynthUI
Provides the Synth L&F UI delegate for `JSeparator`.

Since:
  1.7

## Field Summary

### Fields declared in interface javax.swing.plaf.synth.SynthConstants

`DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

## Constructor Summary

Constructors
Constructor
Description
`SynthSeparatorUI()`
Constructs a `SynthSeparatorUI`.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI​(JComponent c)`
Creates a new UI object for the given component.
`SynthContext`
`getContext​(JComponent c)`
Returns the Context for the specified component.
`void`
`installDefaults​(JSeparator c)`
Installs default setting.
`void`
`installListeners​(JSeparator c)`
Installs listeners.
`void`
`paint​(Graphics g, JComponent c)`
Paints the specified component according to the Look and Feel.
`protected void`
`paint​(SynthContext context, Graphics g)`
Paints the specified component.
`void`
`paintBorder​(SynthContext context, Graphics g, int x, int y, int w, int h)`
Paints the border.
`void`
`propertyChange​(PropertyChangeEvent evt)`
This method gets called when a bound property is changed.
`void`
`uninstallDefaults​(JSeparator c)`
Uninstalls default setting.
`void`
`uninstallListeners​(JSeparator c)`
Uninstalls listeners.
`void`
`update​(Graphics g, JComponent c)`
Notifies this UI delegate to repaint the specified component.

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, uninstallUI`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SynthSeparatorUI

public SynthSeparatorUI()
Constructs a `SynthSeparatorUI`.

## Method Details

### createUI

public static ComponentUI createUI​(JComponent c)
Creates a new UI object for the given component.

Parameters:
  `c` - component to create UI object for
Returns:
  the UI object

### installDefaults

public void installDefaults​(JSeparator c)
Installs default setting. This method is called when a `LookAndFeel` is installed.

Parameters:
  `c` - specifies the `JSeparator` for the installed `LookAndFeel`.

### uninstallDefaults

public void uninstallDefaults​(JSeparator c)
Uninstalls default setting. This method is called when a `LookAndFeel` is uninstalled.

Parameters:
  `c` - specifies the `JSeparator` for the (un)installed `LookAndFeel`.

### installListeners

public void installListeners​(JSeparator c)
Installs listeners. This method is called when a `LookAndFeel` is installed.

Parameters:
  `c` - specifies the `JSeparator` for the installed `LookAndFeel`.

### uninstallListeners

public void uninstallListeners​(JSeparator c)
Uninstalls listeners. This method is called when a `LookAndFeel` is uninstalled.

Parameters:
  `c` - specifies the `JSeparator` for the (un)installed `LookAndFeel`.

### update

public void update​(Graphics g, JComponent c)
Notifies this UI delegate to repaint the specified component. This method paints the component background, then calls the `paint(SynthContext,Graphics)` method.

In general, this method does not need to be overridden by subclasses. All Look and Feel rendering code should reside in the `paint` method.

Overrides:
  `update` in class `ComponentUI`
Parameters:
  `g` - the `Graphics` object used for painting
  `c` - the component being painted
See Also:
  `paint(SynthContext,Graphics)`

### paint

public void paint​(Graphics g, JComponent c)
Paints the specified component according to the Look and Feel.

This method is not used by Synth Look and Feel. Painting is handled by the `paint(SynthContext,Graphics)` method.

Overrides:
  `paint` in class `ComponentUI`
Parameters:
  `g` - the `Graphics` object used for painting
  `c` - the component being painted
See Also:
  `paint(SynthContext,Graphics)`

### paint

protected void paint​(SynthContext context, Graphics g)
Paints the specified component.

Parameters:
  `context` - context for the component being painted
  `g` - the `Graphics` object used for painting
See Also:
  `update(Graphics,JComponent)`

### paintBorder

public void paintBorder​(SynthContext context, Graphics g, int x, int y, int w, int h)
Paints the border.

Specified by:
  `paintBorder` in interface `SynthUI`
Parameters:
  `context` - a component context
  `g` - `Graphics` to paint on
  `x` - the X coordinate
  `y` - the Y coordinate
  `w` - width of the border
  `h` - height of the border

### getContext

public SynthContext getContext​(JComponent c)
Returns the Context for the specified component.

Specified by:
  `getContext` in interface `SynthUI`
Parameters:
  `c` - Component requesting SynthContext.
Returns:
  SynthContext describing component.

### propertyChange

public void propertyChange​(PropertyChangeEvent evt)
Description copied from interface: `PropertyChangeListener`
This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.